io.undertow.server

## Interface ConnectorStatistics

All Known Implementing Classes:
  AggregateConnectorStatistics, ConnectorStatisticsImpl

    public interface ConnectorStatistics

Connector level statistics

Author:
  Stuart Douglas

### Method Summary

All Methods Instance Methods Abstract Methods
`long` `getActiveConnections()`
`long` `getActiveRequests()`
`long` `getBytesReceived()`
`long` `getBytesSent()`
`long` `getErrorCount()`
`long` `getMaxActiveConnections()`
`long` `getMaxActiveRequests()`
`long` `getMaxProcessingTime()`
`long` `getProcessingTime()`
`long` `getRequestCount()`
`void` `reset()` Resets all values to zero

### Method Detail

#### getRequestCount

    long getRequestCount()

Returns:
  The number of requests processed by this connector

#### getBytesSent

    long getBytesSent()

Returns:
  The number of bytes sent on this connector

#### getBytesReceived

    long getBytesReceived()

Returns:
  The number of bytes that have been received by this connector

#### getErrorCount

    long getErrorCount()

Returns:
  The number of requests that triggered an error (i.e. 500) response.

#### getProcessingTime

    long getProcessingTime()

Returns:
  The total amount of time spent processing all requests on this connector (nanoseconds)

#### getMaxProcessingTime

    long getMaxProcessingTime()

Returns:
  The time taken by the slowest request (nanoseconds)

#### reset

    void reset()

Resets all values to zero

#### getActiveConnections

    long getActiveConnections()

Returns:
  The current number of active connections

#### getMaxActiveConnections

    long getMaxActiveConnections()

Returns:
  The maximum number of active connections that have every been active on this connector

#### getActiveRequests

    long getActiveRequests()

Returns:
  The current number of active requests

#### getMaxActiveRequests

    long getMaxActiveRequests()

Returns:
  The maximum number of active requests